PROJ = ICOCON
PROJFILE = ICOCON.MAK
DEBUG = 0

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
BRFLAGS  = /o $(PROJ).bsc
BROWSE	= 0
CC  = cl
CFLAGS_G  = /W2 /Gw /Zp /BATCH
CFLAGS_D  = /Od /Zi /Gs
CFLAGS_R  = /Os /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  =   /BATCH
LFLAGS_D  =  /CO /NOF /NOP
LFLAGS_R  =  /NOF /NOP
LLIBS_G  = LIBW.LIB
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
RC  = rc
LLIBS_R  =  /NOD:SLIBCE SLIBCEW
LLIBS_D  =  /NOD:SLIBCE SLIBCEW

DEF_FILE  = ICOCON.DEF
OBJS  = ICOCON.obj FILE.obj ICON.obj
RESS  = ICOCON.res

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .res .c .rc

ICOCON.obj : ICOCON.C icocon.h

ICOCON.res : ICOCON.RC icocon.h mainbox.dlg file.dlg

FILE.obj : FILE.C icocon.h

ICON.obj : ICON.C icocon.h


$(PROJ).bsc : 

$(PROJ).exe : $(DEF_FILE) $(OBJS) $(RESS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf
	$(RC) $(RESS) $@


.c.obj :
!IF $(DEBUG)
	$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
	$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF

.rc.res :
	$(RC) /r $<


run: $(PROJ).exe
	WIN $(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
	WIN CVW $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
